<!-- TASKS CARD -->
<div style="display:flex; flex-direction: row;">
    <mat-card class="card_style">
        <mat-card-header>
            <h2>{{focusUser.Name}} Tasks</h2>
        </mat-card-header>
        <mat-card-content>
            <div *ngFor="let t of focusUser.Tasks">
                <app-task [taskCard]="t" [user]="focusUser"></app-task>
            </div>
        </mat-card-content>
        <mat-card-actions>
            <button mat-raised-button class="buttons" color="primary" (click)="newTaskToggle=!newTaskToggle">Add Task</button>
        </mat-card-actions>
        <mat-card *ngIf="newTaskToggle">
            <mat-card-content>
                <form #f="ngForm" (ngSubmit)="addTask(); f.reset(); newTaskToggle=!newTaskToggle">
                    <textarea name="tasktoadd" [(ngModel)]="newTask.title" wrap="soft" cols="35" rows="3"></textarea><br/>
                    <button mat-raised-button class="buttons" color="accent">Task it</button>
                    <button mat-raised-button class="buttons" color="warn"(click)="f.reset(); newTaskToggle=!newTaskToggle">Cancel</button>
                </form>
            </mat-card-content>
        </mat-card>
    </mat-card>

    <!-- POSTS CARD -->
    <mat-card class="card_style">
        <mat-card-header>
            <h2>{{focusUser.Name}} Posts</h2>
        </mat-card-header>
        <mat-card-content>    
            <div *ngFor="let p of focusUser.Posts">
                <app-post [postCard]="p" [user]="focusUser"></app-post>
            </div>
        </mat-card-content>
        <mat-card-actions>
            <button mat-raised-button class="buttons" color="primary" (click)="newPostToggle=!newPostToggle">Add Post</button>
        </mat-card-actions>
        <mat-card *ngIf="newPostToggle">
            <mat-card-content>
                <form #f="ngForm" (ngSubmit)="addPost(); f.reset(); newPostToggle=!newPostToggle">
                    title:<br><input type="text" name="tasktoadd" [(ngModel)]="newPost.title" wrap="soft" cols="35" rows="3"><br/>
                    post body:<br>
                    <textarea name="tasktoadd" [(ngModel)]="newPost.body" wrap="soft" cols="35" rows="3"></textarea><br/>
                    <button mat-raised-button class="buttons" color="accent">Post it</button>
                    <button mat-raised-button class="buttons" color="warn"(click)="f.reset(); newPostToggle=!newPostToggle">Cancel</button>
                </form>
            </mat-card-content>
        </mat-card>
    </mat-card>
</div>